<template>
  <div class="login">
    <div class="login-con">
      <el-card class="box-card">
        <div slot="header" class="clearfix">
          <span>登录页面</span>
        </div>
        <div class="login-con-body">
          <el-form :model="ruleForm" :rules="rules">
            <el-form-item prop="username">
              <el-input placeholder="请输入用户名" v-model="ruleForm.username">
                <el-button slot="prepend" icon="el-icon-user-solid"></el-button>
              </el-input>
            </el-form-item>
            <el-form-item prop="password">
              <el-input placeholder="请输入密码" v-model="ruleForm.password" type="password">
                <el-button slot="prepend" icon="el-icon-lock"></el-button>
              </el-input>
            </el-form-item>
          </el-form>
          <el-row>
            <el-button type="primary" @click="login" style="width:100%">登录</el-button>
          </el-row>
        </div>
      </el-card>
    </div>
  </div>
</template>

<script>
import axios from "@/http";
export default {
  name: "Login",
  data() {
    return {
      ruleForm: {
        username: "",
        password: ""
      },
      rules: {
        name: [
          { required: true, message: "请输入用户名", trigger: "blur" },
          { min: 3, max: 5, message: "用户名长度不能少于3", trigger: "blur" }
        ],
        region: [{ required: true, message: "请输入密码", trigger: "blur" }]
      }
    };
  },
  methods: {
    //登录判断
    login() {
      if (this.ruleForm.username && this.ruleForm.password) {
        axios("login", {
            ...this.ruleForm
          },"post")
          .then(res => {
          this.$message({
            message: "欢迎回来" + res.data.username
          })
         this.$router.push({name:'home'})
         this.$store.commit('setToken',res.data.token)
        }).catch(err=>{})
      }
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.login{
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: url("https://file.iviewui.com/admin-dist/img/login-bg.0899ffa6.jpg")
    center center no-repeat;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
.login-con {
  width: 300px;
  margin-right: 250px;
}
</style>
